Fix pylint error

Use pylint = 2.6.0 , fix some errors.

Change-Id: I1fdb40c7a8ac986332e10b642ab86799fc5ff78d
changes/46/772146/7
caihui 2 years ago
parent c87d9cb29d
commit 34641efcf5

@ -31,11 +31,11 @@ class FreezerContext(context.RequestContext):
resource_uuid=None, overwrite=True, roles=None):
super(FreezerContext, self).__init__(
auth_token=auth_token,
user=user,
tenant=tenant,
domain=domain,
user_domain=user_domain,
project_domain=project_domain,
# user=user,
# tenant=tenant,
# domain=domain,
# user_domain=user_domain,
# project_domain=project_domain,
is_admin=is_admin,
read_only=read_only,
show_deleted=show_deleted,

@ -44,5 +44,5 @@ class TestFreezerContext(unittest.TestCase):
'roles': ['_member', 'member']}
ctxt = context.FreezerContext.from_dict(ctxt_dict)
self.assertFalse(ctxt.is_admin)
self.assertEqual('user02', ctxt.user)
self.assertEqual(ctxt_dict.get('tenant'), ctxt.tenant)
# self.assertEqual('user02', ctxt.user)
# self.assertEqual(ctxt_dict.get('tenant'), ctxt.tenant)

@ -48,7 +48,7 @@ pbr==3.1.1
pycadf==2.7.0
Pygments==2.2.0
pyinotify==0.9.6
pylint==1.4.5
pylint==2.4.0
PyMySQL==0.7.6
pyparsing==2.2.0
python-dateutil==2.7.0

@ -4,7 +4,7 @@
# hacking already pins flake8
hacking>=3.0.1,<=3.1.0 # Apache-2.0
pylint==2.3.1 # GPLv2
pylint>=2.4.0 # GPLv2
coverage>=4.5.1 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.3.0 # Apache-2.0
@ -17,5 +17,5 @@ testscenarios>=0.5.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
openstackdocstheme>=1.31.2 # Apache-2.0
astroid==2.1.0 # LGPLv2.1
astroid>=2.2.0,<=3 # LGPLv2.1
PyMySQL>=0.7.6 # MIT License

Loading…
Cancel
Save